# Travel Advisor

## Introduction
Build and Deploy an advanced Travel Companion Application using Google Maps. With Geolocation, Google Maps API, Searching for places, Fetching restaurants, hotels and attractions based on location from specialized Rapid APIs, data filtering and much more, this Travel Advisor App is the best Maps Application that you can currently find on YouTube and on the entire internet.

- Advanced React Best Practices such as folder & file structure, hooks and refs
- Creating a User Interface using Material UI
- Working with Google Maps API
- And most importantly fetching data from unlimited sources using RapidAPI
- Essentially, you'll become the master of working with APIs

[RapidAPI](https://rapidapi.com/hub?utm_source=youtube.com/JavaScriptMastery&utm_medium=DevRel&utm_campaign=DevRel)
[Travel Advisor API](https://rapidapi.com/apidojo/api/travel-advisor?utm_source=youtube.com/JavaScriptMastery&utm_medium=DevRel&utm_campaign=DevRel)
[Open Weather Map API](https://rapidapi.com/community/api/open-weather-map?utm_source=youtube.com/JavaScriptMastery&utm_medium=DevRel&utm_campaign=DevRel)

Setup: 
1. rename "keys.env" to ".env"
2. add your api keys in .env
3. run ```npm i && npm start``` to start the development server